<template>
  <el-form :model="form" label-width="auto" style="max-width: 600px">
    <el-form-item label="变量名称">
      <el-input v-model="form.name" />
    </el-form-item>
    <el-form-item label="变量值">
      <el-input v-model="form.data" />
    </el-form-item>
  </el-form>
</template>

<script lang="ts" setup>
const form = ref({
  name: '',
  data: ''
});

const onSubmit = () => {
  return `formDataOperation.set('${form.value.name}',${form.value.data});\n`;
};


defineExpose({ onSubmit });
</script>
